[Rear-users] SF.net SVN: rear:[711] trunk/usr/share/rear/finalize/Fedora/i386/ 21_install_grub2.sh

gdha at users.sourceforge.net gdha at users.sourceforge.net
Wed Sep 21 16:45:22 CEST 2011


Revision: 711
          http://rear.svn.sourceforge.net/rear/?rev=711&view=rev
Author:   gdha
Date:     2011-09-21 14:45:21 +0000 (Wed, 21 Sep 2011)
Log Message:
-----------
replace grub-install by grub-probe as grub-install also exist in legacy grub

Modified Paths:
--------------
    trunk/usr/share/rear/finalize/Fedora/i386/21_install_grub2.sh

Modified: trunk/usr/share/rear/finalize/Fedora/i386/21_install_grub2.sh
===================================================================
--- trunk/usr/share/rear/finalize/Fedora/i386/21_install_grub2.sh	2011-09-10 15:23:30 UTC (rev 710)
+++ trunk/usr/share/rear/finalize/Fedora/i386/21_install_grub2.sh	2011-09-21 14:45:21 UTC (rev 711)
@@ -11,7 +11,7 @@
 #    GRUB stage2 might not be at the exact same location)
 
 # Only for GRUB2 - GRUB Legacy will be handled by its own script
-[[ $(type -p grub-install) || $(type -p grub2-install) ]] || return
+[[ $(type -p grub-probe) || $(type -p grub2-probe) ]] || return
 
 LogPrint "Installing GRUB2 boot loader"
 mount -t proc none /mnt/local/proc

This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.





More information about the rear-users mailing list